This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 428565 - Review Request: dragonplayer - A simple video player for KDE 4
Review Request: dragonplayer - A simple video player for KDE 4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-13 09:05 EST by Sebastian Vahl
Modified: 2008-01-14 14:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 14:54:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2008-01-13 09:05:19 EST
Spec URL: http://svahl.fedorapeople.org/dragonplayer/dragonplayer.spec
SRPM URL: http://svahl.fedorapeople.org/dragonplayer/dragonplayer-2.0-0.1.beta1.fc8.src.rpm
Description: 
A simple video player for KDE 4.

Features:
* Simple interface that does not get in the way
* Resumes where you left off when replaying a video
* Support for subtitles

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=345354
Comment 1 Parag AN(पराग) 2008-01-13 23:56:19 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
8fffeb9fa14e2d86a4ad539b392496d3  dragonplayer-2.0_beta1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text COPYING is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ scriptlets are used.
+ GUI app.

SHOULD:
  remove mkdir %{buildroot} from %install.

APPROVED.
Comment 2 Sebastian Vahl 2008-01-14 06:26:29 EST
> SHOULD:
>   remove mkdir %{buildroot} from %install.

Just to understand this: This should be removed because the directory is also 
created by "make install DESTDIR=%{buildroot}"?


> APPROVED.

Thx.


New Package CVS Request
=======================
Package Name: dragonplayer
Short Description: A simple video player for KDE 4
Owners: svahl,rdieter,kkofler,ltinkl,than
Branches: 
InitialCC: 
Cvsextras Commits: no

Comment 3 Kevin Fenzi 2008-01-14 12:41:38 EST
cvs done. 

Any particular reason for the cvsextras commits: no? 
Comment 4 Sebastian Vahl 2008-01-14 14:53:57 EST
(In reply to comment #3)
> cvs done. 

Thx

> Any particular reason for the cvsextras commits: no? 

Out of habit. I don't want every new maintainer to be able to make changes to 
this package (see the discussion on fedora-devel-list some time ago). In my 
opinion the kde-sig should be sufficent.

Note You need to log in before you can comment on or make changes to this bug.